import request from '@/utils/request'
import Vue from 'vue'

// 查询采集报警列表
export function getAlarmList(params) {
  const basetConfig = Vue.prototype.baseConfig // 注意该行应放在export里面，否则获取不到值
  const lampPath = basetConfig.lampBasePath
  return request({
    url: lampPath + 'alarm/listPage',
    method: 'get',
    params
  })
}

// 查询识别报警列表
export function getDetail(id) {
  const basetConfig = Vue.prototype.baseConfig // 注意该行应放在export里面，否则获取不到值
  const lampPath = basetConfig.lampBasePath
  return request({
    url: lampPath + 'alarm/detail/' + id,
    method: 'get'
  })
}

export function getAlarmType() {
  return request({
    url: '/dict/code/lampAlarmType',
    method: 'get'
  })
}

